Subject: Re: bug#16762: Installed packages are not considered part of the archive contents

From: Stefan Monnier <[email-masked]>
Date: Fri, 21 Mar 2014 11:33:36 -0400

>> In snapshot, if a package is installed with the most recent version, it is
>> not added to the variable package-archive-contents. I don't know the reason
>> for this, but I don't think it makes sense. Even if the package is
>> installed, it is still part of the package archives in my opinion.
> This was changed in revision 113000, not exactly sure why.
> Stefan, could you explain that part of the change?

Hmm... can't quite remember, sorry.

> Seems like it could've fixed installed packages wrongly showing up in
> the `list-packages' list, but I don't remember having that problem.
> Was it made to improve the behavior of `package-install'?

Clearly, the intention of my changes was to move towards a situation
where package-archive-contents indeed holds all the packages in the
archives.  But some didn't quite make it (e.g. the ones that are on
hold, IIRC, and maybe the ones that are obsolete).

If you can show an actual problem that this causes (from the user's
point of view), we can try to fix it.

And in trunk feel free to try and change things so that those packages
are included in package-archive-contents.  Such a change would be
welcome, in general (as would be a change that gets rid of the other
exceptions such as the packages that are "on-hold").

        Stefan